Name: freevo
Version: 1.6.1
Release: alt0.1

Summary: Freevo

License: GPL
Group: Graphics
Url: http://freevo.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/%name/%name-%version.tar.bz2
Source1: redhat-boot_config
BuildArch: noarch

##########################################################################
%define _contribdir %_datadir/freevo/contrib

%setup_python_module %name

Requires: python-module-Numeric
%add_python_req_skip audio image video misc animation childapp config directory event gui fxditem menu item osd playlist plugin plugins pygphoto pyosd rc skin tv util view_favorites

# Automatically added by buildreq on Tue Dec 26 2006
BuildRequires: python-dev python-modules-encodings

BuildRequires: python-module-mm python-module-elementtree
BuildRequires: python-module-pygame python-module-twisted python-module-imaging python-module-imaging-devel

%description
Freevo is a Linux application that turns a PC with a TV capture card
and/or TV-out into a standalone multimedia jukebox/VCR. It builds on
other applications such as xine, mplayer, tvtime and mencoder to play
and record video and audio.

Available rpmbuild rebuild options :
--without: us_defaults use_sysapps compile_obj

%package boot
Summary: Files to enable a standalone Freevo system (started from initscript)
Group: Graphics
Requires: %name

%description boot
Freevo is a Linux application that turns a PC with a TV capture card
and/or TV-out into a standalone multimedia jukebox/VCR. It builds on
other applications such as mplayer and mencoder to play and record
video and audio.

Note: This installs the initscripts necessary for a standalone Freevo system.

%prep
%setup -q

%build
find . -name CVS | xargs rm -rf
find . -name ".cvsignore" |xargs rm -f
find . -name "*.pyc" |xargs rm -f
find . -name "*.pyo" |xargs rm -f
find . -name "*.py" |xargs chmod 644

env CFLAGS="$RPM_OPT_FLAGS" python setup.py build
python setup.py build

%install
python setup.py install \
		--root=%buildroot --record=INSTALLED_FILES

mkdir -p %buildroot%_sysconfdir/freevo
# The following is needed to let RPM know that the files should be backed up
touch %buildroot%_sysconfdir/freevo/freevo.conf
%__install -m 644 local_conf.py.example %buildroot%_sysconfdir/freevo/local_conf.py

# boot scripts
mkdir -p %buildroot%_sysconfdir/rc.d/init.d
mkdir -p %buildroot%_bindir
install -m 755 boot/freevo %buildroot%_sysconfdir/rc.d/init.d
#install -m 755 boot/freevo_dep %buildroot%_sysconfdir/rc.d/init.d
install -m 755 boot/recordserver %buildroot%_initrddir/freevo_recordserver
install -m 755 boot/webserver %buildroot%_initrddir/freevo_webserver
install -m 755 boot/recordserver_init %buildroot%_bindir/freevo_recordserver_init
install -m 755 boot/webserver_init %buildroot%_bindir/freevo_webserver_init
install -m 644 -D %SOURCE1 %buildroot%_sysconfdir/freevo/boot_config

mkdir -p %buildroot%_logdir/freevo
mkdir -p %buildroot%_cachedir/freevo
mkdir -p %buildroot%_cachedir/freevo/{thumbnails,audio}
mkdir -p %buildroot%_cachedir/xmltv/logos
chmod 777 %buildroot%_cachedir/{freevo,freevo/thumbnails,freevo/audio,xmltv,xmltv/logos}
chmod 777 %buildroot%_logdir/freevo

mkdir -p %buildroot%_contribdir/lirc
cp -av contrib/lirc %buildroot%_contribdir

%find_lang %name

%post
%preun

%files -f %name.lang
%_docdir/%name-%version
%_bindir/*
%dir %_sysconfdir/freevo
%config %_sysconfdir/freevo/freevo.conf
%config %_sysconfdir/freevo/local_conf.py
%attr(775,root,audio) %_logdir/freevo
%attr(775,root,audio) %dir %_cachedir/freevo
%attr(775,root,audio) %dir %_cachedir/freevo/audio
%attr(775,root,audio) %dir %_cachedir/freevo/thumbnails
%attr(775,root,audio) %dir %_cachedir/xmltv
%attr(775,root,audio) %dir %_cachedir/xmltv/logos
%_datadir/%name
%python_sitelibdir/%modulename

%files boot
%_initrddir/*
%_bindir/freevo_*
%config %_sysconfdir/freevo/boot_config

%post boot
# Add the service, but don't automatically invoke it
# user has to enable it via ntsysv
if [ -x /sbin/chkconfig ]; then
     chkconfig --add freevo
     chkconfig --level 234 freevo off
#     chkconfig --add freevo_dep
     chkconfig --add freevo_recordserver
     chkconfig --level 234 freevo_recordserver off
     chkconfig --add freevo_webserver
     chkconfig --level 234 freevo_webserver off
fi
depmod -a

%preun boot
if [ "$1" = 0 ] ; then
  if [ -x /sbin/chkconfig ]; then
     chkconfig --del freevo
#     chkconfig --del freevo_dep
     chkconfig --del freevo_recordserver
     chkconfig --del freevo_webserver
  fi
fi

%changelog
* Tue Dec 26 2006 Vitaly Lipatov <lav@altlinux.ru> 1.6.1-alt0.1
- new version 1.6.1 (with rpmrb script)
- add python-module-Numeric requires (fix bug #10518)

* Wed Nov 22 2006 Vitaly Lipatov <lav@altlinux.ru> 1.6.0-alt0.1
- new version 1.6.0 (with rpmrb script)

* Fri Nov 18 2005 Vitaly Lipatov <lav@altlinux.ru> 1.5.4-alt0.1
- new version

* Fri Nov 18 2005 Vitaly Lipatov <lav@altlinux.ru> 1.5.2-alt0.2
- new version

* Mon Jul 19 2004 TC Wan <tcwan@cs.usm.my>
- Built 1.5.0 final

* Fri Jul  2 2004 TC Wan <tcwan@cs.usm.my>
- Added docs subdir for package cleanup, fixed contrib dir build warnings

* Tue Jun 29 2004 TC Wan <tcwan@cs.usm.my>
- Added python-numeric dependency, backup freevo.conf
  just before creating new default copy

* Fri Jun 18 2004 TC Wan <tcwan@cs.usm.my>
- Updated for 1.5

* Fri Dec 19 2003 TC Wan <tcwan@cs.usm.my>
- Updated for 1.4.1

* Sat Nov 22 2003 TC Wan <tcwan@cs.usm.my>
- Updated for 1.4 final

* Tue Nov 11 2003 TC Wan <tcwan@cs.usm.my>
- Updated for 1.4-rc4

* Tue Nov  4 2003 TC Wan <tcwan@cs.usm.my>
- Updated for 1.4-rc3 (name change)

* Sat Oct 25 2003 TC Wan <tcwan@cs.usm.my>
- Updated for 1.4-rc2

* Wed Oct  8 2003 TC Wan <tcwan@cs.usm.my>
- Fixed boot scripts for RH 9, disabled freevo_dep since it's obsolete (?)

* Fri Sep 26 2003 TC Wan <tcwan@cs.usm.my>
- Removed testfiles from build since it's no longer part of the package
  Cleaned up conditional flags

* Thu Sep 18 2003 TC Wan <tcwan@cs.usm.my>
- Added supporting directories and files to package

* Fri Sep  5 2003 TC Wan <tcwan@cs.usm.my>
- Initial SPEC file for python site-packages installation
